Bug 145597 - CAN-2005-0141 Link opened in new tab can load a local file
CAN-2005-0141 Link opened in new tab can load a local file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=low,public=20050119
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 19:57 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 14:01:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 249332 None None None Never

  None (edit)
Description Josh Bressers 2005-01-19 19:57:49 EST
===================================
Mozilla Security Advisory MSA05-001
===================================

Title:      Link opened in new tab can load a local file
Severity:   Low
Reporter:   Jesse Ruderman

Fixed in:   Firefox 1.0
            Mozilla Suite 1.7.5


Description
-----------
Links with a custom getter and toString method can bypass checks
intended to prevent web content from linking to local files and "chrome"
URIs if the user can be convinced to middle-click (or control-click)
to open it in a new tab.

The browser's "same-origin" policy prevents the attacker's content from
taking advantage of this flaw to read the local file or manipulate
privileged chrome.


Workaround
----------
Turn off javascript or upgrade to fixed version


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=249332
Comment 1 Josh Bressers 2005-01-19 19:58:38 EST
This issue should also affect RHEL2.1
Comment 2 Josh Bressers 2005-03-23 14:01:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-323.html

Note You need to log in before you can comment on or make changes to this bug.